Get promotion offers
curl --request GET \
--url https://api.onsleek.ai/v1/deals/promotions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.onsleek.ai/v1/deals/promotions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.onsleek.ai/v1/deals/promotions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "ce0839f8-b522-41a4-9c09-5f3e510fb2d9",
"startDate": "2024-01-01T00:00:00.000Z",
"endDate": "2024-12-31T23:59:59.999Z",
"description": "Free shipping on all orders over $50.",
"retailerId": "4f9df53d-16dc-4630-8603-8d14ec40fcfe",
"url": "https://www.bestbuy.com",
"name": "BestBuy",
"hostname": "www.bestbuy.com",
"deepLink": "https://www.bestbuy.com/promotion",
"updatedAt": "2024-01-01T12:00:00.000Z",
"logo": "https://www.bestbuy.com/logo.png"
}
],
"cursor": "<string>"
}Promotions
Get promotion offers
Fetch all promotion offers.
GET
/
v1
/
deals
/
promotions
Get promotion offers
Authorizations
API key for accessing the Sleek API.
Query Parameters
The ID of the next item that will be fetched. Format: UUID RFC 4122
The hostname of the retailer to search for.
⌘I

